Skip to main content
GET
Get bulk operation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Bulk operation ID.

Query Parameters

fields
enum<string>[]

Fields to include in the response.

Available options:
NONE

Response

200 - */*

OK

Summary of a bulk delete rule operation.

type
enum<string>
required

Discriminator for the operation type. Is deleteRule for this operation.

Available options:
deleteRule
id
string<uuid>

Entity id.

createdBy
string

User who created the entity.

creationDate
string<date-time>

Date when the entity was created.

lastModifiedBy
string

User who last updated the entity.

lastModified
string<date-time>

Date when the entity was last updated.

status
enum<string>

Current status of the bulk operation.

Available options:
PENDING,
WAITING,
COMPLETED,
COMPLETED_WITH_ERRORS,
FAILED
lastHeartbeat
string<date-time>

Last time the heartbeat was sent for this bulk operation.

errorMessage
string | null

User friendly message if the bulk operation failed or completed with errors. null if the operation has not failed.

rules
object[]

List of rules and their individual status in this bulk operation.